Author Topic: Running different versions of Sparx EA against the same repository  (Read 118 times)

Modesto Vega

  • EA User
  • **
  • Posts: 370
  • Karma: +7/-4
    • View Profile
We have Sparx EA running on several machines connecting to a common repository and want to incrementally upgrade these machines to a newer version of Sparx EA. Are there any known issues running different versions of Sparx EA  - e.g., v13, v14 and v15 - against the same repository?

Modesto Vega

  • EA User
  • **
  • Posts: 370
  • Karma: +7/-4
    • View Profile
Re: Running different versions of Sparx EA against the same repository
« Reply #1 on: November 08, 2019, 07:32:53 pm »
Any takers? surely somebody must have a comment.

philchudley

  • EA User
  • **
  • Posts: 575
  • Karma: +11/-0
  • UML/EA Principal Consultant / Trainer
    • View Profile
Re: Running different versions of Sparx EA against the same repository
« Reply #2 on: November 08, 2019, 08:01:09 pm »
Hi

There are no issues as far as I am aware, however ensure that all MDGs enabled in version 13 are present in the Perspective(s) used by EA users in EA version 14 and version 15

Ideally, users of versions 14 and versions 15 should use the same Perspective(s)

Phil

follow me on Twitter

@SparxEAGuru

PeterHeintz

  • EA User
  • **
  • Posts: 817
  • Karma: +49/-17
    • View Profile
Re: Running different versions of Sparx EA against the same repository
« Reply #3 on: November 08, 2019, 08:35:35 pm »
If you use SysML you get several issues. Mainly the rendering of BDD and IBD, manly regarding handing of compartment change each version. So if you make those diagrams looking nice for Vx those are unusable for Vy and vice versa.
Best regards,

Peter Heintz